GuildAnnounce = LibStub("AceAddon-3.0"):NewAddon("GuildAnnounce", "AceConsole-3.0", "AceEvent-3.0", "AceTimer-3.0");

local options = {
	name = "Gulild Announce",
	handler = GuildAnnounce,
	type = "group",
	args = {
		txtMacroOne = {
			name = "Macro One",
			type = "input",
			desc = "The message to be announced with Macro One. 255 characters max.",
			get = "getMOne",
			set = "setMOne"
		},
		txtMacroTwo = {
			name = "Macro Two",
			type = "input",
			desc = "The message to be announced with Macro Two. 255 characters max.",
			get = "getMTwo",
			set = "setMTwo"
		},
		txtMacroThree = {
			name = "Macro Three",
			type = "input",
			desc = "The message to be announced with Macro Three. 255 characters max.",
			get = "getMThree",
			set = "setMThree"
		},
		txtMacroFour = {
			name = "Macro Four",
			type = "input",
			desc = "The message to be announced with Macro Four. 255 characters max.",
			get = "getMFour",
			set = "setMFour"
		},
		txtMacroFive = {
			name = "Macro Five",
			type = "input",
			desc = "The message to be announced with Macro Five. 255 characters max.",
			get = "getMFive",
			set = "setMFive"
		},
		txtMacroGeneral = {
			name = "General Macro",
			type = "input",
			desc = "The message to be announced to the General channel. 255 characters max.",
			get = "getMGeneral",
			set = "setMGeneral"
		}
	}
}

local defaults = {
	profile = {
		macroOne = "",
		macroTwo = "",
		macroThree = "",
		macroFour = "",
		macroFive = "",
		macroGeneral = "",
		x = 0
	}
}

function GuildAnnounce:getMGeneral(info)
	return self.db.profile.macroGeneral
end

function GuildAnnounce:setMGeneral(info, text)
	self.db.profile.macroGeneral = text
end

function GuildAnnounce:getMOne(info)
	return self.db.profile.macroOne
end		

function GuildAnnounce:setMOne(info, text)
	self.db.profile.macroOne = text
end

function GuildAnnounce:getMTwo(info)
	return self.db.profile.macroTwo
end		

function GuildAnnounce:setMTwo(info, text)
	self.db.profile.macroTwo = text
end

function GuildAnnounce:getMThree(info)
	return self.db.profile.macroThree
end		

function GuildAnnounce:setMThree(info, text)
	self.db.profile.macroThree = text
end

function GuildAnnounce:getMFour(info)
	return self.db.profile.macroFour
end		

function GuildAnnounce:setMFour(info, text)
	self.db.profile.macroFour = text
end

function GuildAnnounce:getMFive(info)
	return self.db.profile.macroFive
end		

function GuildAnnounce:setMFive(info, text)
	self.db.profile.macroFive = text
end

function GuildAnnounce:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("GuildAnnounceDB", defaults, true)

	LibStub("AceConfig-3.0"):RegisterOptionsTable("GuildAnnounce", options)
	self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("GuildAnnounce", "GuildAnnounce")
	self.genTimer = self:ScheduleRepeatingTimer("generalPrintout", 300)
	self.timer = self:ScheduleRepeatingTimer("printout", 900)
	self:Print("Addon Loaded")
	self:Print("Starting Timer...")
end

function GuildAnnounce:generalPrintout()
	if self.db.profile.macroGeneral == "" then
	
	else
		SendChatMessage(self.db.profile.macroGeneral, "CHANNEL", "Orcish", "1")
	end
end

function GuildAnnounce:printout()
	if self.db.profile.macroOne == "" then
	
	elseif self.db.profile.macroTwo == "" then
		SendChatMessage(self.db.profile.macroOne, "GUILD", "Orcish")
	elseif self.db.profile.macroThree == "" then
		if self.db.profile.x == 0 then
			SendChatMessage(self.db.profile.macroOne, "GUILD", "Orcish")
			self.db.profile.x = 1
		elseif self.db.profile.x == 1 then
			SendChatMessage(self.db.profile.macroTwo, "GUILD", "Orcish")
			self.db.profile.x = 0
		end
	elseif self.db.profile.macroFour == "" then
		if self.db.profile.x == 0 then
			SendChatMessage(self.db.profile.macroOne, "GUILD", "Orcish")
			self.db.profile.x = 1
		elseif self.db.profile.x == 1 then
			SendChatMessage(self.db.profile.macroTwo, "GUILD", "Orcish")
			self.db.profile.x = 2
		elseif self.db.profile.x == 2 then
			SendChatMessage(self.db.profile.macroThree, "GUILD", "Orcish")
			self.db.profile.x = 0
		end
	elseif self.db.profile.macroFive == "" then
		if self.db.profile.x == 0 then
			SendChatMessage(self.db.profile.macroOne, "GUILD", "Orcish")
			self.db.profile.x = 1
		elseif self.db.profile.x == 1 then
			SendChatMessage(self.db.profile.macroTwo, "GUILD", "Orcish")
			self.db.profile.x = 2
		elseif self.db.profile.x == 2 then
			SendChatMessage(self.db.profile.macroThree, "GUILD", "Orcish")
			self.db.profile.x = 3
		elseif self.db.profile.x == 3 then
			SendChatMessage(self.db.profile.macroFour, "GUILD", "Orcish")
			self.db.profile.x = 0
		end
	else
		if self.db.profile.x == 0 then
			SendChatMessage(self.db.profile.macroOne, "GUILD", "Orcish")
			self.db.profile.x = 1
		elseif self.db.profile.x == 1 then
			SendChatMessage(self.db.profile.macroTwo, "GUILD", "Orcish")
			self.db.profile.x = 2
		elseif self.db.profile.x == 2 then
			SendChatMessage(self.db.profile.macroThree, "GUILD", "Orcish")
			self.db.profile.x = 3
		elseif self.db.profile.x == 3 then
			SendChatMessage(self.db.profile.macroFour, "GUILD", "Orcish")
			self.db.profile.x = 4
		elseif self.db.profile.x == 4 then
			SendChatMessage(self.db.profile.macroFive, "GUILD", "Orcish")
			self.db.profile.x = 0
		end
	end
end